
type ResourceNameType = string | number;
type ResourceIdType = string | number | symbol;

interface Resource {

    /**
     * Unique identification of resource type.
     */
    type: ResourceNameType;

    /**
     * Unique number of the resource instance.
     */
    id: ResourceIdType;
}

export type { Resource, ResourceNameType, ResourceIdType };